<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <title>
        <%= title %>
    </title>
</head>

<body>
    <div class="container">
        <form action="/movies/<%= action %>" method="post">
            <h1 class="h3 mb-3 fw-normal">
                <%= title %>
            </h1>

            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="floatingInput" name="title" placeholder="Movie Title"
                    value="<%= value.title %>" required>
                <label for="floatingInput">Title</label>
            </div>

            <div class="form-floating mb-3">
                <textarea class="form-control" placeholder="Movies Genres (Split by Comma)" id="floatingTextarea"
                    name="genres" required><%= value.genres.toString() %></textarea>
                <label for="floatingTextarea">Genres (Split by Comma)</label>
            </div>

            <div class="form-floating mb-3">
                <input type="number" class="form-control" id="floatingInput" name="duration"
                    placeholder="Movie Duration in Minutes" value="<%= value.duration %>" required>
                <label for="floatingInput">Duration (in Minutes)</label>
            </div>

            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="floatingInput" name="studio" placeholder="Movie Studio"
                    value="<%= value.studio %>" required>
                <label for="floatingInput">Studio</label>
            </div>

            <button class="btn btn-primary" type="submit">Save</button>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>
</body>

</html>